#include <stdio.h>
#include <stdlib.h>

int main(void) {
	float x = 2.0;
	int y = 02;
	long int z = 2L;
	signed char w = '\0x32';
	int a = (float) x;
	int b = (int) y;
	int c = (long int) z;
	int d = (unsigned char) w;
	printf(" %d \n %d \n %d \n %c \n",a,b,c,d);
	return EXIT_SUCCESS;
}

